# Class CIM_CommonDatabaseStatistics
extends CIM_StatisticalData

The CIM_CommonDatabaseStatistics class contains the current statistics for a database.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_StatisticalData
|
+--CIM_CommonDatabaseStatistics

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | The CIM_CommonDatabaseStatistics class contains the current statistics for a database.
UMLPackagePath | string | CIM::Database::Statistics
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
SizeUsed | uint32 |
Description | string | The estimated amount of disk space (in units) that is currently used by the database.
MappingStrings | string | MIB.IETF|RDBMS-MIB.rdbmsDbInfoSizeUsed

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_StatisticalData
InstanceID | string | CIM_StatisticalData
SampleInterval | datetime | CIM_StatisticalData
StartStatisticTime | datetime | CIM_StatisticalData
StatisticTime | datetime | CIM_StatisticalData

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
ResetSelectedStats | uint32 | CIM_StatisticalData